User brands¶
The brands that are being associated with a certain user in his profile.
Fields¶
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
brands |
array of string |
– |
no |
no |
no |
brands
The brands for the user
Reference¶
GET /v2/users/{userId}/brands
Get a user’s brands.
Errors¶
http |
error code |
description |
|---|---|---|
400 |
validation-failure |
Validation of the profile failed.
There should be more information in the field errors
|
Examples¶
Retrieving a user brands :
Request :
GET /v2/users/1/brands HTTP/1.1 Host: api.marktplaats.nlResponse :
HTTP/1.1 200 OK Content-Type: application/json { "_links":{ "self":{ "href":"/v2/users/1/brands" }, "describedby":{ "href":"https://api.marktplaats.nl/docs/v2/user-brands.html" } }, "brands": [ "Alfa Romeo", "Ford" ] }